import java.util.Arrays;
public class Range implements NumberGroup 
{
    private int[] list;

    public Range(int min, int max) 
    {
        list = new int[Math.abs(max-min+1)];
        for(int i = 0; i < list.length; i++)
            list[i] = min + i;
    }

    public boolean contains(int num)
    {
        for(int n: list)	
            if(num == n)
                return true;
        return false;
    }
    
    public String toString()
    {
        return Arrays.toString(list);
    }
}